<?

if(isset($_GET['mycellar']) && isset($_GET['harvest2']) && intval($_GET['harvest2'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['harvest2'])."' AND `id_user` = '$ku[id]' AND `id_plant2` != '0'"),0)!=0)

{

$polka2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['harvest2'])."' AND `id_user` = '$ku[id]' AND `id_plant2` != '0'"));

$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$polka2[id_plant2]'"));

if($polka2['time']<=$time)

{

$count=$plant2['count'];
$count_harvester2_act=0;
$count_cellar_act=0;

if(isset($harvester2_act))$count_harvester2_act=floor(($count/100)*$harvester2_act);
if(isset($cellar_act))$count_cellar_act=(($count/100)*$cellar_ps);
$count=$count_harvester2_act+$count_cellar_act+$count;
$count=floor($count);


if($pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `id_plant2` = '$plant2[id]' AND `arena` = '0'")))

{

mysql_query("UPDATE `kolhoz_market` SET `count` = '".($pw['count']+$count)."' WHERE `id` = '$pw[id]'");

}

else mysql_query("INSERT INTO `kolhoz_market` SET `id_plant2` = '$plant2[id]', `id_user`  = '$ku[id]', `count` = '$count', `arena` = '0'");

$_SESSION['harvest2']=$count;

mysql_query("UPDATE `kolhoz_setting` SET `recip_dost_count` = '".($conf['recip_dost_count']+$count)."' WHERE `id_user` = '$ku[id]'");

mysql_query("UPDATE `kolhoz_polka2` SET `id_plant2` = '0', `soil2` = '0', `cultivator2` = '0' WHERE `id` = '".intval($_GET['harvest2'])."' LIMIT 1");

header("Location:/mycellar/".passgen());

}

else header("Location:/mycellar/".passgen());

exit;

}

?>